(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 10.3' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     23301,        560]
NotebookOptionsPosition[     22744,        537]
NotebookOutlinePosition[     23090,        552]
CellTagsIndexPosition[     23047,        549]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{"RandomGraph", "[", 
  RowBox[{"BarabasiAlbertGraphDistribution", "[", 
   RowBox[{"30", ",", "2"}], "]"}], "]"}]], "Input"],

Cell[BoxData[
 GraphicsBox[GraphicsComplexBox[CompressedData["
1:eJwB8QEO/iFib1JlAgAAAB4AAAACAAAA6VR3a8Ts9T/uqE+kBUX1Pz7eHg5m
XgFAgdnxjDt48D/6AdK5ckz7PwgDtJm7Lvc/NMPrS9QY3z9p4EjPNyv/P3in
oHm6NwNAuu+OzVay2z/IcgdTYy8GQJqfOPrEYvs/lTwnRJVx+D+GkD/ODjEA
QLalmGuVqu4/Ax31gK/r8z/kCjQpFWPjP5/C5JBtfvM/4iGe4JeMBECw9KII
OMXsPyeX1cvx/QdA60K5T2yX9z/QcHnGMYALQGzH/89hVuo/Tvh+WxFLC0Dz
SqQBEagAQIDXHjjtpvg/IB/LnDXc1z8AAAAAAAAAAD7UMkEwhvE/v1ssdWUN
C0BAKV2bSCT0P8J6+SDGd+Y/0oSKrVBm3j9sVKe9YmUFQFRkO3p+1gJAbhDU
lLuXCUCmWAYuwEcFQJ8XWBqOJABAvJc7rSsI3z+NjaKMehrsP0qP8K8lIARA
kHFxZX+DCUBdMmZ/cynhPwBnPFHah4c/osfWOiDBBkBl/kjagOn7PwAAAAAA
AAAA5tRPrLob8D9JMWf3hozpP+09zcCqLwJAz8nKL/rwBUDdrlhHsiEDQBzT
0iugSgBAQ+yJfv/6+j/6ogMI+C0GQCj8yUT1TOI/2iwebDlx+j8umWbqbcTy
P+ATpHlyhcE/gnDeUA==
   "], {
    {Hue[0.6, 0.7, 0.5], Opacity[0.7], 
     {Arrowheads[0.], ArrowBox[{1, 2}, 0.03329751011513478]}, 
     {Arrowheads[0.], ArrowBox[{1, 3}, 0.03329751011513478]}, 
     {Arrowheads[0.], ArrowBox[{1, 4}, 0.03329751011513478]}, 
     {Arrowheads[0.], ArrowBox[{1, 9}, 0.03329751011513478]}, 
     {Arrowheads[0.], ArrowBox[{1, 14}, 0.03329751011513478]}, 
     {Arrowheads[0.], ArrowBox[{1, 25}, 0.03329751011513478]}, 
     {Arrowheads[0.], ArrowBox[{1, 27}, 0.03329751011513478]}, 
     {Arrowheads[0.], ArrowBox[{2, 3}, 0.03329751011513478]}, 
     {Arrowheads[0.], ArrowBox[{2, 5}, 0.03329751011513478]}, 
     {Arrowheads[0.], ArrowBox[{2, 6}, 0.03329751011513478]}, 
     {Arrowheads[0.], ArrowBox[{2, 7}, 0.03329751011513478]}, 
     {Arrowheads[0.], ArrowBox[{2, 8}, 0.03329751011513478]}, 
     {Arrowheads[0.], ArrowBox[{2, 10}, 0.03329751011513478]}, 
     {Arrowheads[0.], ArrowBox[{2, 11}, 0.03329751011513478]}, 
     {Arrowheads[0.], ArrowBox[{2, 12}, 0.03329751011513478]}, 
     {Arrowheads[0.], ArrowBox[{2, 14}, 0.03329751011513478]}, 
     {Arrowheads[0.], ArrowBox[{2, 16}, 0.03329751011513478]}, 
     {Arrowheads[0.], ArrowBox[{2, 17}, 0.03329751011513478]}, 
     {Arrowheads[0.], ArrowBox[{2, 20}, 0.03329751011513478]}, 
     {Arrowheads[0.], ArrowBox[{2, 22}, 0.03329751011513478]}, 
     {Arrowheads[0.], ArrowBox[{3, 4}, 0.03329751011513478]}, 
     {Arrowheads[0.], ArrowBox[{3, 5}, 0.03329751011513478]}, 
     {Arrowheads[0.], ArrowBox[{3, 6}, 0.03329751011513478]}, 
     {Arrowheads[0.], ArrowBox[{3, 7}, 0.03329751011513478]}, 
     {Arrowheads[0.], ArrowBox[{3, 8}, 0.03329751011513478]}, 
     {Arrowheads[0.], ArrowBox[{3, 9}, 0.03329751011513478]}, 
     {Arrowheads[0.], ArrowBox[{3, 10}, 0.03329751011513478]}, 
     {Arrowheads[0.], ArrowBox[{3, 11}, 0.03329751011513478]}, 
     {Arrowheads[0.], ArrowBox[{3, 18}, 0.03329751011513478]}, 
     {Arrowheads[0.], ArrowBox[{3, 20}, 0.03329751011513478]}, 
     {Arrowheads[0.], ArrowBox[{3, 21}, 0.03329751011513478]}, 
     {Arrowheads[0.], ArrowBox[{3, 24}, 0.03329751011513478]}, 
     {Arrowheads[0.], ArrowBox[{3, 25}, 0.03329751011513478]}, 
     {Arrowheads[0.], ArrowBox[{3, 26}, 0.03329751011513478]}, 
     {Arrowheads[0.], ArrowBox[{3, 28}, 0.03329751011513478]}, 
     {Arrowheads[0.], ArrowBox[{3, 29}, 0.03329751011513478]}, 
     {Arrowheads[0.], ArrowBox[{3, 30}, 0.03329751011513478]}, 
     {Arrowheads[0.], ArrowBox[{4, 15}, 0.03329751011513478]}, 
     {Arrowheads[0.], ArrowBox[{4, 23}, 0.03329751011513478]}, 
     {Arrowheads[0.], ArrowBox[{6, 13}, 0.03329751011513478]}, 
     {Arrowheads[0.], ArrowBox[{6, 16}, 0.03329751011513478]}, 
     {Arrowheads[0.], ArrowBox[{6, 18}, 0.03329751011513478]}, 
     {Arrowheads[0.], ArrowBox[{7, 21}, 0.03329751011513478]}, 
     {Arrowheads[0.], ArrowBox[{8, 15}, 0.03329751011513478]}, 
     {Arrowheads[0.], ArrowBox[{8, 29}, 0.03329751011513478]}, 
     {Arrowheads[0.], ArrowBox[{11, 12}, 0.03329751011513478]}, 
     {Arrowheads[0.], ArrowBox[{11, 13}, 0.03329751011513478]}, 
     {Arrowheads[0.], ArrowBox[{11, 19}, 0.03329751011513478]}, 
     {Arrowheads[0.], ArrowBox[{11, 22}, 0.03329751011513478]}, 
     {Arrowheads[0.], ArrowBox[{13, 27}, 0.03329751011513478]}, 
     {Arrowheads[0.], ArrowBox[{14, 24}, 0.03329751011513478]}, 
     {Arrowheads[0.], ArrowBox[{14, 30}, 0.03329751011513478]}, 
     {Arrowheads[0.], ArrowBox[{15, 17}, 0.03329751011513478]}, 
     {Arrowheads[0.], ArrowBox[{18, 19}, 0.03329751011513478]}, 
     {Arrowheads[0.], ArrowBox[{19, 26}, 0.03329751011513478]}, 
     {Arrowheads[0.], ArrowBox[{21, 23}, 0.03329751011513478]}, 
     {Arrowheads[0.], ArrowBox[{26, 28}, 0.03329751011513478]}}, 
    {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[0.7]}], 
     DiskBox[1, 0.03329751011513478], DiskBox[2, 0.03329751011513478], 
     DiskBox[3, 0.03329751011513478], DiskBox[4, 0.03329751011513478], 
     DiskBox[5, 0.03329751011513478], DiskBox[6, 0.03329751011513478], 
     DiskBox[7, 0.03329751011513478], DiskBox[8, 0.03329751011513478], 
     DiskBox[9, 0.03329751011513478], DiskBox[10, 0.03329751011513478], 
     DiskBox[11, 0.03329751011513478], DiskBox[12, 0.03329751011513478], 
     DiskBox[13, 0.03329751011513478], DiskBox[14, 0.03329751011513478], 
     DiskBox[15, 0.03329751011513478], DiskBox[16, 0.03329751011513478], 
     DiskBox[17, 0.03329751011513478], DiskBox[18, 0.03329751011513478], 
     DiskBox[19, 0.03329751011513478], DiskBox[20, 0.03329751011513478], 
     DiskBox[21, 0.03329751011513478], DiskBox[22, 0.03329751011513478], 
     DiskBox[23, 0.03329751011513478], DiskBox[24, 0.03329751011513478], 
     DiskBox[25, 0.03329751011513478], DiskBox[26, 0.03329751011513478], 
     DiskBox[27, 0.03329751011513478], DiskBox[28, 0.03329751011513478], 
     DiskBox[29, 0.03329751011513478], DiskBox[30, 0.03329751011513478]}}],
  FormatType->TraditionalForm,
  FrameTicks->None,
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]]]], "Input",
 CellChangeTimes->{{3.7171463042685747`*^9, 3.7171463042825756`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"RandomGraph", "[", 
   RowBox[{"BarabasiAlbertGraphDistribution", "[", 
    RowBox[{
     RowBox[{"10", "^", "4"}], ",", "2"}], "]"}], "]"}], ";"}]], "Input",
 CellChangeTimes->{{3.7171462001906223`*^9, 3.717146230385349*^9}, 
   3.7171462628902082`*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"EmpiricalDistribution", "[", 
  RowBox[{"VertexDegree", "[", "%", "]"}], "]"}]], "Input"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   TagBox["DataDistribution",
    "SummaryHead"], "[", 
   DynamicModuleBox[{Typeset`open$$ = False}, 
    PanelBox[
     PaneSelectorBox[{False->GridBox[{
        {
         PaneBox[
          ButtonBox[
           
           DynamicBox[FEPrivate`FrontEndResource[
            "FEBitmaps", "SquarePlusIconMedium"],
            ImageSizeCache->{12., {0., 12.}}],
           Appearance->None,
           ButtonFunction:>(Typeset`open$$ = True),
           Evaluator->Automatic,
           Method->"Preemptive"],
          Alignment->{Center, Center},
          
          ImageSize->
           Dynamic[{
            Automatic, 3.5 CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
             Magnification]}]], 
         GraphicsBox[GraphicsComplexBox[CompressedData["
1:eJxTTMoPSmViYGAwBmIQ/Xmu+cn//+/vZ4CCC1M/TWa6cwfO38s482xKyU04
/7jcgZ2dbtfg/Je6ZtOXalyG802T9I879p2H8y+e+nxkr91JOL9Xun/Bj/RD
+2fNBIGT9p8WTNjrlLQdyr9pXzaPm8Nu+1I4/+nEnefMz7Taw/ht95KiXc6v
g/NfPvaf8/Dqbjhfw2XB8sCVR+B8JRNxGd0vp+D8f3Ojb6o8vgDnX14fY2xj
cwXO7xG4e2tC9HU43/RvoXDbvltw/kGLtpk7nt+F8+Ubwm+4rnpgb2IMAo/t
L2W5vN4c8QjO//7nwxKHV4/hfJGr6svnzn0K5y8KkQuQNHkO56tE5zbMPPQC
zp+33O3ny6JXcH7X7PsSkWxv4Py8q0yNM3a/hfPdptUV3Ml4D+d7/I9pnl/z
Ac7PvLb/047Qj3C+c2PT1kSFT3D+9PyPu3meI/jPG5Y+m7/vM5z/IXVnyqH2
L3D+11wh9rOJX+H8zZ6n/6TpfoOGz0v71xkGZsxfEXz51bcmt5/9DufzHHzi
Mnv6Dzj/609jqelFP+0hqeWDfUSZvvFUz19wfsmxrvlKQr/h/B5LbYMZrxH8
2AZtkbnb/sD5K7huWC+p/Qvnv99+sn1y6D84/52FtLqQ/H84v/a576f//3Hx
GRgA8dtlww==
           "], {{{}, 
             {GrayLevel[0.85], EdgeForm[None], 
              GraphicsGroupBox[
               PolygonBox[{{7, 51, 50, 49, 48, 47, 46, 45, 44, 43, 42, 41, 40,
                 39, 38, 37, 36, 35, 34, 33, 32, 31, 30, 29, 28, 27, 26, 25, 
                24, 23, 22, 21, 20, 19, 18, 17, 16, 15, 14, 13, 12, 11, 10, 9,
                 8}}]]}, {}, {}}, {{}, {}, 
             {GrayLevel[0.55], AbsoluteThickness[1.5], Opacity[1.], 
              LineBox[{1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 
               17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32,
                33, 34, 35, 36, 37, 38, 39, 40, 41, 42, 43, 44, 45, 46, 47, 
               48, 49, 50}]}}}],
          AspectRatio->1,
          Axes->{False, False},
          AxesLabel->{None, None},
          AxesOrigin->{0, 0},
          Background->GrayLevel[0.93],
          BaseStyle->{FontFamily -> "Arial"},
          DisplayFunction->Identity,
          Frame->{{True, True}, {True, True}},
          FrameLabel->{{None, None}, {None, None}},
          FrameStyle->Directive[
            Thickness[Tiny], 
            GrayLevel[0.7]],
          FrameTicks->{{None, None}, {None, None}},
          GridLines->{None, None},
          GridLinesStyle->Directive[
            GrayLevel[0.5, 0.4]],
          ImageSize->{Automatic, 
            Dynamic[
            3.5 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
              Magnification])]},
          LabelStyle->{FontFamily -> "Arial"},
          Method->{"ScalingFunctions" -> None, "AxesInFront" -> True},
          PlotRange->{All, All},
          PlotRangeClipping->True,
          PlotRangePadding->{{0, 0}, {0, 0.1}},
          Ticks->{Automatic, Automatic}], GridBox[{
           {
            RowBox[{
             TagBox["\<\"Type: \"\>",
              "SummaryItemAnnotation"], "\[InvisibleSpace]", 
             TagBox["\<\"Empirical\"\>",
              "SummaryItem"]}]},
           {
            RowBox[{
             TagBox["\<\"Data points: \"\>",
              "SummaryItemAnnotation"], "\[InvisibleSpace]", 
             TagBox["10000",
              "SummaryItem"]}]}
          },
          AutoDelete->False,
          
          BaseStyle->{
           ShowStringCharacters -> False, NumberMarks -> False, 
            PrintPrecision -> 3, ShowSyntaxStyles -> False},
          GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Automatic}}},
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{2}}, "Rows" -> {{Automatic}}}]}
       },
       AutoDelete->False,
       BaselinePosition->{1, 1},
       GridBoxAlignment->{"Rows" -> {{Top}}},
       GridBoxItemSize->{
        "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], True->GridBox[{
        {
         PaneBox[
          ButtonBox[
           
           DynamicBox[FEPrivate`FrontEndResource[
            "FEBitmaps", "SquareMinusIconMedium"],
            ImageSizeCache->{12., {0., 12.}}],
           Appearance->None,
           ButtonFunction:>(Typeset`open$$ = False),
           Evaluator->Automatic,
           Method->"Preemptive"],
          Alignment->{Center, Center},
          
          ImageSize->
           Dynamic[{
            Automatic, 3.5 CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
             Magnification]}]], 
         GraphicsBox[GraphicsComplexBox[CompressedData["
1:eJxTTMoPSmViYGAwBmIQ/Xmu+cn//+/vZ4CCC1M/TWa6cwfO38s482xKyU04
/7jcgZ2dbtfg/Je6ZtOXalyG802T9I879p2H8y+e+nxkr91JOL9Xun/Bj/RD
+2fNBIGT9p8WTNjrlLQdyr9pXzaPm8Nu+1I4/+nEnefMz7Taw/ht95KiXc6v
g/NfPvaf8/Dqbjhfw2XB8sCVR+B8JRNxGd0vp+D8f3Ojb6o8vgDnX14fY2xj
cwXO7xG4e2tC9HU43/RvoXDbvltw/kGLtpk7nt+F8+Ubwm+4rnpgb2IMAo/t
L2W5vN4c8QjO//7nwxKHV4/hfJGr6svnzn0K5y8KkQuQNHkO56tE5zbMPPQC
zp+33O3ny6JXcH7X7PsSkWxv4Py8q0yNM3a/hfPdptUV3Ml4D+d7/I9pnl/z
Ac7PvLb/047Qj3C+c2PT1kSFT3D+9PyPu3meI/jPG5Y+m7/vM5z/IXVnyqH2
L3D+11wh9rOJX+H8zZ6n/6TpfoOGz0v71xkGZsxfEXz51bcmt5/9DufzHHzi
Mnv6Dzj/609jqelFP+0hqeWDfUSZvvFUz19wfsmxrvlKQr/h/B5LbYMZrxH8
2AZtkbnb/sD5K7huWC+p/Qvnv99+sn1y6D84/52FtLqQ/H84v/a576f//3Hx
GRgA8dtlww==
           "], {{{}, 
             {GrayLevel[0.85], EdgeForm[None], 
              GraphicsGroupBox[
               PolygonBox[{{7, 51, 50, 49, 48, 47, 46, 45, 44, 43, 42, 41, 40,
                 39, 38, 37, 36, 35, 34, 33, 32, 31, 30, 29, 28, 27, 26, 25, 
                24, 23, 22, 21, 20, 19, 18, 17, 16, 15, 14, 13, 12, 11, 10, 9,
                 8}}]]}, {}, {}}, {{}, {}, 
             {GrayLevel[0.55], AbsoluteThickness[1.5], Opacity[1.], 
              LineBox[{1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 
               17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32,
                33, 34, 35, 36, 37, 38, 39, 40, 41, 42, 43, 44, 45, 46, 47, 
               48, 49, 50}]}}}],
          AspectRatio->1,
          Axes->{False, False},
          AxesLabel->{None, None},
          AxesOrigin->{0, 0},
          Background->GrayLevel[0.93],
          BaseStyle->{FontFamily -> "Arial"},
          DisplayFunction->Identity,
          Frame->{{True, True}, {True, True}},
          FrameLabel->{{None, None}, {None, None}},
          FrameStyle->Directive[
            Thickness[Tiny], 
            GrayLevel[0.7]],
          FrameTicks->{{None, None}, {None, None}},
          GridLines->{None, None},
          GridLinesStyle->Directive[
            GrayLevel[0.5, 0.4]],
          ImageSize->{Automatic, 
            Dynamic[
            3.5 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
              Magnification])]},
          LabelStyle->{FontFamily -> "Arial"},
          Method->{"ScalingFunctions" -> None, "AxesInFront" -> True},
          PlotRange->{All, All},
          PlotRangeClipping->True,
          PlotRangePadding->{{0, 0}, {0, 0.1}},
          Ticks->{Automatic, Automatic},
          ImageCache->GraphicsData["CompressedBitmap", "\<\
eJyVlDFrwlAQx1+MLXbqUCmFDs3Yj9CxUzsVOnZskIIOUrF+gH4AIbiIIhKc
Ig4OOsTBBNShBhQdTIpTIKvgV7i+e0laQkHfG+64JP/f5fHP5Z7USv6tqFYK
OVV5LKulfCH3oTy8l+ktWSKEKBgKwRpoGSWF7Pd7Qm5gOBxKYU1O8YLVUUCt
VoPNZnMF2+1WOij9brVasFwuOaRmt9uF2WzGIdUHgwGMx2MO6adlWUDlHNJX
x3Gg1+txSO9d1wVd1zmkt77vQ6PR4JBmdrsdaJr2XyonpCmWZfYZ0AkaJM2y
jK4gjUHO+fo8r1YrtAmDpFmWoVqtcvc5C/v4zWYT1uu1CPPV6XRgPp+LMEa/
3wfbtkUYbTQagWmaIgybB/SBBsmwLMNkMvn1JX2kz0XYpzSdTgHPjMwJH/Oy
WCzAMAwR5g7P1W63RRglCAKo1+tcTDaaO/QE5456cdSD7J+X7FekM3uUuYze
Q38F8DyPnS3Fx8T7RoSJF48IE28gESYxTynMB5hrzCLPEytb+gH9tXQd\
\>"]], GridBox[{
           {
            RowBox[{
             TagBox["\<\"Type: \"\>",
              "SummaryItemAnnotation"], "\[InvisibleSpace]", 
             TagBox["\<\"Empirical\"\>",
              "SummaryItem"]}]},
           {
            RowBox[{
             TagBox["\<\"Data points: \"\>",
              "SummaryItemAnnotation"], "\[InvisibleSpace]", 
             TagBox["10000",
              "SummaryItem"]}]},
           {
            RowBox[{
             TagBox["\<\"Input dimension: \"\>",
              "SummaryItemAnnotation"], "\[InvisibleSpace]", 
             TagBox["1",
              "SummaryItem"]}]},
           {
            RowBox[{
             TagBox["\<\"Domain: \"\>",
              "SummaryItemAnnotation"], "\[InvisibleSpace]", 
             TagBox[
              RowBox[{"{", 
               RowBox[{"2", ",", "392"}], "}"}],
              "SummaryItem"]}]}
          },
          AutoDelete->False,
          
          BaseStyle->{
           ShowStringCharacters -> False, NumberMarks -> False, 
            PrintPrecision -> 3, ShowSyntaxStyles -> False},
          GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Automatic}}},
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{2}}, "Rows" -> {{Automatic}}}]}
       },
       AutoDelete->False,
       BaselinePosition->{1, 1},
       GridBoxAlignment->{"Rows" -> {{Top}}},
       GridBoxItemSize->{
        "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]}, Dynamic[
      Typeset`open$$],
      ImageSize->Automatic],
     BaselinePosition->Baseline],
    DynamicModuleValues:>{}], "]"}],
  DataDistribution["Empirical", {{
     Rational[501, 1000], 
     Rational[1969, 10000], 
     Rational[62, 625], 
     Rational[569, 10000], 
     Rational[359, 10000], 
     Rational[13, 500], 
     Rational[39, 2500], 
     Rational[8, 625], 
     Rational[9, 1000], 
     Rational[87, 10000], 
     Rational[1, 200], 
     Rational[1, 200], 
     Rational[9, 2500], 
     Rational[7, 2500], 
     Rational[9, 5000], 
     Rational[1, 400], 
     Rational[17, 10000], 
     Rational[1, 625], 
     Rational[13, 10000], 
     Rational[3, 2000], 
     Rational[7, 10000], 
     Rational[9, 10000], 
     Rational[1, 1250], 
     Rational[1, 2000], 
     Rational[1, 2000], 
     Rational[1, 1250], 
     Rational[3, 10000], 
     Rational[3, 5000], 
     Rational[1, 2500], 
     Rational[3, 10000], 
     Rational[1, 2500], 
     Rational[1, 5000], 
     Rational[3, 10000], 
     Rational[3, 10000], 
     Rational[1, 2500], 
     Rational[3, 10000], 
     Rational[1, 10000], 
     Rational[1, 10000], 
     Rational[3, 10000], 
     Rational[3, 10000], 
     Rational[3, 10000], 
     Rational[1, 5000], 
     Rational[1, 2500], 
     Rational[1, 10000], 
     Rational[1, 10000], 
     Rational[1, 10000], 
     Rational[1, 10000], 
     Rational[1, 5000], 
     Rational[1, 5000], 
     Rational[1, 5000], 
     Rational[1, 10000], 
     Rational[1, 10000], 
     Rational[1, 10000], 
     Rational[1, 10000], 
     Rational[1, 10000], 
     Rational[1, 10000], 
     Rational[1, 10000], 
     Rational[1, 10000]}, {2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16,
     17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 34, 
    35, 36, 38, 39, 41, 42, 45, 46, 48, 52, 56, 58, 61, 62, 67, 68, 71, 79, 
    81, 83, 95, 107, 215, 313, 392}, False}, 1, 10000],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{3.7171462674474688`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"DiscretePlot", "[", 
  RowBox[{
   RowBox[{"PDF", "[", 
    RowBox[{"%", ",", "k"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"k", ",", "7", ",", "30"}], "}"}]}], "]"}]], "Input"],

Cell[BoxData[
 GraphicsBox[{
   {RGBColor[0.368417, 0.506779, 0.709798], PointSize[0.011000000000000001`], 
    AbsoluteThickness[1.6], {
     {RGBColor[0.368417, 0.506779, 0.709798], PointSize[
      0.011000000000000001`], AbsoluteThickness[1.6], Opacity[0.2], LineBox[{},
       VertexColors->None]}, 
     {RGBColor[0.368417, 0.506779, 0.709798], PointSize[
      0.011000000000000001`], AbsoluteThickness[1.6], Opacity[0.2], 
      LineBox[{{{7., 0.026}, {7., 0}}, {{8., 0.0156}, {8., 0}}, {{9., 
         0.0128}, {9., 0}}, {{10., 0.009}, {10., 0}}, {{11., 0.0087}, {
         11., 0}}, {{12., 0.005}, {12., 0}}, {{13., 0.005}, {13., 0}}, {{14., 
         0.0036}, {14., 0}}, {{15., 0.0028}, {15., 0}}, {{16., 0.0018}, {
         16., 0}}, {{17., 0.0025}, {17., 0}}, {{18., 0.0017}, {18., 0}}, {{
         19., 0.0016}, {19., 0}}, {{20., 0.0013}, {20., 0}}, {{21., 0.0015}, {
         21., 0}}, {{22., 0.0007}, {22., 0}}, {{23., 0.0009}, {23., 0}}, {{
         24., 0.0008}, {24., 0}}, {{25., 0.0005}, {25., 0}}, {{26., 0.0005}, {
         26., 0}}, {{27., 0.0008}, {27., 0}}, {{28., 0.0003}, {28., 0}}, {{
         29., 0.0006}, {29., 0}}, {{30., 0.0004}, {30., 0}}},
       VertexColors->None]}}}, 
   {RGBColor[0.368417, 0.506779, 0.709798], PointSize[0.011000000000000001`], 
    AbsoluteThickness[1.6], {}, PointBox[CompressedData["
1:eJxTTMoPSmViYGCQAGIQDQEyDpZbTpTtmz/LHsJXcLhX2NX35FM/lK/koOss
8/qRWReUr+Jgfd+/d3peE5Sv5rDC9Ky138VGKF/DoVpknfvDqhIoXwuNr+Mw
6XS9x/7aXChfz+H4rh29bB/SoHwDqHwslG8I1Z8C5Rs5xLOfkwy8FQ3lG0Pd
FwXlmzhM+cYWP8MnFMo3dfhVl7WnZHIElG8Gtc8NyjeH2ucL5VtAzfOC8i0d
/qz8eMk3yQHKt0LjW6Opt3FINAo10FppDOXbQvnOUL4dVL2VPQCqUmTe
     "]], {}}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesOrigin->{7, 0},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  Method->{
   "MessagesHead" -> DiscretePlot, "AxisPadding" -> Scaled[0.02], 
    "DefaultBoundaryStyle" -> Automatic, "DefaultMeshStyle" -> 
    AbsolutePointSize[6], "DefaultPlotStyle" -> {
      Directive[
       RGBColor[0.368417, 0.506779, 0.709798], 
       AbsoluteThickness[1.6]], 
      Directive[
       RGBColor[0.880722, 0.611041, 0.142051], 
       AbsoluteThickness[1.6]], 
      Directive[
       RGBColor[0.560181, 0.691569, 0.194885], 
       AbsoluteThickness[1.6]], 
      Directive[
       RGBColor[0.922526, 0.385626, 0.209179], 
       AbsoluteThickness[1.6]], 
      Directive[
       RGBColor[0.528488, 0.470624, 0.701351], 
       AbsoluteThickness[1.6]], 
      Directive[
       RGBColor[0.772079, 0.431554, 0.102387], 
       AbsoluteThickness[1.6]], 
      Directive[
       RGBColor[0.363898, 0.618501, 0.782349], 
       AbsoluteThickness[1.6]], 
      Directive[
       RGBColor[1, 0.75, 0], 
       AbsoluteThickness[1.6]], 
      Directive[
       RGBColor[0.647624, 0.37816, 0.614037], 
       AbsoluteThickness[1.6]], 
      Directive[
       RGBColor[0.571589, 0.586483, 0.], 
       AbsoluteThickness[1.6]], 
      Directive[
       RGBColor[0.915, 0.3325, 0.2125], 
       AbsoluteThickness[1.6]], 
      Directive[
       RGBColor[0.40082222609352647`, 0.5220066643438841, 0.85], 
       AbsoluteThickness[1.6]], 
      Directive[
       RGBColor[0.9728288904374106, 0.621644452187053, 0.07336199581899142], 
       AbsoluteThickness[1.6]], 
      Directive[
       RGBColor[0.736782672705901, 0.358, 0.5030266573755369], 
       AbsoluteThickness[1.6]], 
      Directive[
       RGBColor[0.28026441037696703`, 0.715, 0.4292089322474965], 
       AbsoluteThickness[1.6]]}, "DomainPadding" -> Scaled[0.02], 
    "PointSizeFunction" -> "SmallPointSize", "RangePadding" -> Scaled[0.05]},
  PlotRange->{{7, 30}, {0, 0.026}},
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.02], 
     Scaled[0.02]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{3.7171462777170563`*^9}]
}, Open  ]]
},
WindowSize->{759, 809},
WindowMargins->{{653, Automatic}, {239, Automatic}},
FrontEndVersion->"10.3 for Microsoft Windows (64-bit) (October 9, 2015)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 147, 3, 31, "Input"],
Cell[708, 25, 5807, 93, 316, InheritFromParent],
Cell[6518, 120, 289, 7, 31, "Input"],
Cell[CellGroupData[{
Cell[6832, 131, 113, 2, 31, "Input"],
Cell[6948, 135, 11601, 295, 75, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[18586, 435, 204, 6, 31, "Input"],
Cell[18793, 443, 3935, 91, 236, "Output"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)

